// $Id: PacketCaptureSimulator.java,v 1.1 2001/06/01 06:44:50 pcharles Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.simulator;

import net.sourceforge.jpcap.capture.PacketHandler;
import net.sourceforge.jpcap.capture.PacketDispatcher;
import net.sourceforge.jpcap.net.Packet;
import net.sourceforge.jpcap.net.RawPacket;


/**
 * This class has the same external interface as PacketCapture.
 * <p>
 * Instead of capturing and dispatching packets from a physical network
 * device, however, this class generates fake packets.
 * The type and frequency of the packets is set by policies configured in
 * the simulator property file.
 * <p>
 * Instances of this class are used mostly by developers working on
 * applications that utilize jpcap in an environments where a real 
 * network device isn't available or when the type of packets arriving 
 * needs to be carefully controlled for development purposes.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.1 $
 * @lastModifiedBy $Author: pcharles $
 * @lastModifiedAt $Date: 2001/06/01 06:44:50 $
 */
public class PacketCaptureSimulator 
  extends PacketDispatcher implements PacketHandler
{
  // packet handler implementation

  /**
   * Handle packets arriving from the packet generator thread.
   * <p>
   * Arriving packets are dispatched to registered packet listeners.
   *
   * @param length the length of the packet off of the wire.
   * @param caplen the number of bytes actually captured.
   * @param seconds the seconds component of the timestamp.
   * @param useconds the microseconds component of the timestamp.
   * @param data the contents of the captured packet.
   */
  public void handlePacket(int length, int caplen, 
                           int seconds, int useconds, byte [] data) {

    // todo: fabricate some fake packets and dispatch them here..
  }


  private String _rcsid = 
    "$Id: PacketCaptureSimulator.java,v 1.1 2001/06/01 06:44:50 pcharles Exp $";
}
